<?php
define('THEME_HAS_RATING_GRAPHICS', 1);
define('THEME_HAS_NAVBAR_GRAPHICS', 1);
define('THEME_HAS_NO_SYS_MENU_BUTTONS', 1);
define('THEME_HAS_NO_SUB_MENU_BUTTONS', 1);
define('THEME_IS_XHTML10_TRANSITIONAL',1);

// Function for writing a pageheader
function pageheader($section, $meta = '')
{
    global $CONFIG, $THEME_DIR;
    global $template_header, $lang_charset, $lang_text_dir;

    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    $charset = ($CONFIG['charset'] == 'language file') ? $lang_charset : $CONFIG['charset'];

    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
        header("Content-Type: text/html; charset=$charset");
    user_save_profile();
    
    $custom_html_output = '';
    include('themes/digicssIII/param.php');
    $req = "SELECT title, aid FROM {$CONFIG['TABLE_ALBUMS']} ORDER BY title"; 
    $sql = cpg_db_query($req);
    $custom_html_output .= <<< EOT
    <form name="my_navigation_form" id="my_navigation_form" action="{$_SERVER['PHP_SELF']}" method="get">
        <select name="goToUrl" onchange="location.href=''+ this.options[this.selectedIndex].value;" class="listbox" style="width:100px; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9px; text-transform: uppercase; background-color: #ffcc99">
EOT;
    while($select = mysql_fetch_array($sql) ) {
        $custom_html_output .= '            <option value="domainname.com-'.$select['aid'].'.html">'.$select['title'].'</option>'."\r\n";
    }
    $custom_html_output .=  <<< EOT
        </select>
    </form>
EOT;


    $template_vars = array('{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => strip_tags(bb_decode($section)) . ' - ' . $CONFIG['gallery_name'],
        '{CHARSET}' => $charset,
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),
        '{CUSTOM_HTML_OUTPUT}' => $custom_html_output,
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
        );

    echo template_eval($template_header, $template_vars);
}

// HTML template for sys menu
$template_sys_menu = <<<EOT
        <h3>Sys Menu</h3>
        <ul>
<!-- BEGIN home -->
        <li><a href="{HOME_TGT}" title="{HOME_TITLE}" class="navmenu">&raquo;{HOME_LNK}</a></li>
<!-- END home -->
<!-- BEGIN my_gallery -->
        <li><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}" class="navmenu">&raquo;{MY_GAL_LNK}</a></li>
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
        <li><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}" class="navmenu">&raquo;{MEMBERLIST_LNK}</a></li>
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
        <li><a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}" class="navmenu">&raquo;{MY_PROF_LNK}</a></li>
<!-- END my_profile -->
<!-- BEGIN faq -->
        <li><a href="{FAQ_TGT}" title="{FAQ_TITLE}" class="navmenu">&raquo;{FAQ_LNK}</a></li>
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
        <li><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}" class="navmenu">&raquo;{ADM_MODE_LNK}</a></li>
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
        <li><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}" class="navmenu">&raquo;{USR_MODE_LNK}</a></li>
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
        <li><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}" class="navmenu">&raquo;{UPL_PIC_LNK}</a></li>
<!-- END upload_pic -->
<!-- BEGIN register -->
        <li><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}" class="navmenu">&raquo;{REGISTER_LNK}</a></li>
<!-- END register -->
<!-- BEGIN login -->
       <!--  <li><a href="{LOGIN_TGT}" title="{LOGIN_LNK}" class="navmenu">&raquo;{LOGIN_LNK}</a></li>  -->
<!-- END login -->
<!-- BEGIN logout -->
        <li><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}" class="navmenu">&raquo;{LOGOUT_LNK}</a></li>
<!-- END logout -->

        </ul>
EOT;



// HTML template for sub menu
$template_sub_menu = <<<EOT
        <h3>Sub Menu</h3>
        <ul>
<!-- BEGIN custom_link -->
        <li><a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}" class="navmenu">&raquo;{CUSTOM_LNK_LNK}</a></li>
<!-- END custom_link -->
<!-- BEGIN album_list -->
        <li><a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}" class="navmenu">&raquo;{ALB_LIST_LNK}</a></li>
<!-- END album_list -->
        <li><a href="/listing/" title="Full Alphabetical Order List" class="navmenu">&raquo;Full Alphabetical Order List</a></li>
        <li><a href="{LASTUP_TGT}" title="{LASTUP_LNK}" class="navmenu">&raquo;{LASTUP_LNK}</a></li>
        <li><a href="{LASTCOM_TGT}" title="{LASTCOM_LNK}" class="navmenu">&raquo;{LASTCOM_LNK}</a></li>
        <li><a href="{TOPN_TGT}" title="{TOPN_LNK}" class="navmenu">&raquo;{TOPN_LNK}</a></li>
        <li><a href="{TOPRATED_TGT}" title="{TOPRATED_LNK}" class="navmenu">&raquo;{TOPRATED_LNK}</a></li>
<!--        <li><a href="{FAV_TGT}" title="{FAV_LNK}" class="navmenu">&raquo;{FAV_LNK}</a></li>  -->
        <li><a href="{SEARCH_TGT}" title="{SEARCH_LNK}" class="navmenu">&raquo;{SEARCH_LNK}</a></li>
        <li>&nbsp;&nbsp;</li>
        <li><a href="mailto:ads@digicelebs.com" title="Your Advert" class="navmenu"><img src="/images/ads.gif" width="105" height="105" border="0" /></a></li>           
        </ul>                             
EOT;

// Added to display flim_strip
function theme_display_film_strip(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $pos, $sort_options, $mode = 'thumb')
{
    global $CONFIG, $THEME_DIR;
    global $template_film_strip, $lang_film_strip;

    static $template = '';
    static $thumb_cell = '';
    static $empty_cell = '';
    static $spacer = '';

    if ((!$template)) {
        $template = $template_film_strip;
        $thumb_cell = template_extract_block($template, 'thumb_cell');
        $empty_cell = template_extract_block($template, 'empty_cell');
    }

    $cat_link = is_numeric($aid) ? '' : '&amp;cat=' . $cat;

    $thumbcols = $CONFIG['thumbcols'];
    $cell_width = ceil(100 / $CONFIG['max_film_strip_items']) . '%';

    $i = 0;
    $thumb_strip = '';
    foreach($thumb_list as $thumb) {
        //modify $new_size for max dimension of thumbnails in filmstrip
        $new_size = 65;
        preg_match('/(?<=width=")[0-9]*/',$thumb['image'],$matches,PREG_OFFSET_CAPTURE);
        $srcWidth=$matches[0][0];
        preg_match('/(?<=height=")[0-9]*/',$thumb['image'],$matches,PREG_OFFSET_CAPTURE);
        $srcHeight=$matches[0][0];
        $ratio = max($srcWidth, $srcHeight) / $new_size;
        $ratio = max($ratio, 1.0);
        $destWidth = (int)($srcWidth / $ratio);
        $destHeight = (int)($srcHeight / $ratio);
        $thumb['image']=preg_replace('/width="[^"]*"/','width="'.$destWidth.'"',$thumb['image']);
        $thumb['image']=preg_replace('/height="[^"]*"/','height="'.$destHeight.'"',$thumb['image']);
        $i++;
        if ($mode == 'thumb') {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&amp;pos={$thumb['pos']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => $thumb['caption'],
                '{ADMIN_MENU}' => ''
                );
        } else {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        }
        $thumb_strip .= template_eval($thumb_cell, $params);
    }

    if (defined('THEME_HAS_FILM_STRIP_GRAPHICS')) {
        $tile1 = $THEME_DIR . 'images/tile1.gif';
        $tile2 = $THEME_DIR . 'images/tile2.gif';
    } elseif (defined('THEME_HAS_FILM_STRIP_GRAPHIC')) {
        $tile1=$tile2=$THEME_DIR . 'images/tile.gif';
    } else {
        $tile1=$tile2= 'images/tile.gif';
    }

    $params = array('{THUMB_STRIP}' => $thumb_strip,
        '{COLS}' => $i,
        '{TILE1}' => $tile1,
        '{TILE2}' => $tile2,
        );

    ob_start();
    starttable($CONFIG['picture_table_width']);
    echo template_eval($template, $params);
    endtable();
    $film_strip = ob_get_contents();
    ob_end_clean();

    return $film_strip;
}

// HTML template for gallery admin menu
$template_gallery_admin_menu = <<<EOT
        <h3>Admin Menu</h3>
        <ul>
<!-- BEGIN admin_approval -->        
        <li><a class="admin_menu" href="editpics.php?mode=upload_approval" title="{UPL_APP_TITLE}">&raquo;{UPL_APP_LNK}</a></li>
<!-- END admin_approval -->
        <li><a class="admin_menu" href="admin.php" title="{ADMIN_TITLE}">&raquo;{ADMIN_LNK}</a></li>
        <li><a class="admin_menu" href="catmgr.php" title="{CATEGORIES_TITLE}">&raquo;{CATEGORIES_LNK}</a></li>
        <li><a class="admin_menu" href="albmgr.php{CATL}" title="{ALBUMS_TITLE}">&raquo;{ALBUMS_LNK}</a></li>
        <li><a class="admin_menu" href="groupmgr.php" title="{GROUPS_TITLE}">&raquo;{GROUPS_LNK}</a></li>
        <li><a class="admin_menu" href="usermgr.php" title="{USERS_TITLE}">&raquo;{USERS_LNK}</a></li>
        <li><a class="admin_menu" href="banning.php" title="{BAN_TITLE}">&raquo;{BAN_LNK}</a></li>
        <li><a class="admin_menu" href="reviewcom.php" title="{COMMENTS_TITLE}">&raquo;{COMMENTS_LNK}</a></li>
<!-- BEGIN log_ecards -->
        <li><a class="admin_menu" href="db_ecard.php" title="{DB_ECARD_TITLE}">&raquo;{DB_ECARD_LNK}</a></li>
<!-- END log_ecards -->
        <li><a class="admin_menu" href="picmgr.php" title="{PICTURES_TITLE}">&raquo;{PICTURES_LNK}</a></li>
        <li><a class="admin_menu" href="searchnew.php" title="{SEARCHNEW_TITLE}">&raquo;{SEARCHNEW_LNK}</a></li>
        <li><a class="admin_menu" href="util.php" title="{UTIL_TITLE}">&raquo;{UTIL_LNK}</a><br />
        <li><a class="admin_menu" href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">&raquo;{MY_PROF_LNK}</a></li>
<!-- BEGIN documentation -->
        <li><a class="admin_menu" href="{DOCUMENTATION_HREF}" title="{DOCUMENTATION_TITLE}" target="cpg_documentation">&raquo;{DOCUMENTATION_LNK}</a></li>
<!-- END documentation -->
        </ul>
EOT;

// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

                        <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                                <td width="100%" class="statlink"><h2>{ALBUM_NAME}</h2></td>
                                <td><img src="images/spacer.gif" width="1" alt="" /></td>
                                <td class="sortorder_cell">
                                                <div class="sortorder_options">
                                                &nbsp;<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">-</a>{TITLE}<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">+</a>&nbsp;
                                                &nbsp;<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">-</a>{NAME}<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">+</a>&nbsp;
                                                &nbsp;<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">-</a>{DATE}<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">+</a>&nbsp;
                                                &nbsp;<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">-</a>{POSITION}<a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">+</a>&nbsp;
                                                </div>
                                </td>
                        </tr>
                        </table>

EOT;
?>
